Package org.opensaml.saml.common.profile.logic

# Class MetadataNameIdentifierFormatStrategy

java.lang.Object
org.opensaml.saml.common.profile.logic.MetadataNameIdentifierFormatStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,List<String>>`

public class MetadataNameIdentifierFormatStrategy extends Object implements Function<ProfileRequestContext,List<String>>
Function to return a set of candidate NameIdentifier/NameID Format values derived from an entity's SAML metadata.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`private class`
`MetadataNameIdentifierFormatStrategy.MetadataLookupStrategy`
Default lookup strategy for metadata, relies on the inbound message context.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private Function<ProfileRequestContext,SSODescriptor>`
`ssoDescriptorLookupStrategy`
Strategy function to lookup the `SSODescriptor` to read from.

## Constructor Summary

Constructors
Constructor
Description
`MetadataNameIdentifierFormatStrategy()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`apply(ProfileRequestContext input)`
`void`
`setSSODescriptorLookupStrategy(Function<ProfileRequestContext,SSODescriptor> strategy)`
Set the lookup strategy to use to obtain an `SSODescriptor`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### ssoDescriptorLookupStrategy

@Nonnull private Function<ProfileRequestContext,SSODescriptor> ssoDescriptorLookupStrategy
Strategy function to lookup the `SSODescriptor` to read from.

## Constructor Details

### MetadataNameIdentifierFormatStrategy

public MetadataNameIdentifierFormatStrategy()
Constructor.

## Method Details

### setSSODescriptorLookupStrategy

public void setSSODescriptorLookupStrategy(@Nonnull Function<ProfileRequestContext,SSODescriptor> strategy)
Set the lookup strategy to use to obtain an `SSODescriptor`.

Parameters:
  `strategy` - lookup strategy

### apply

@Nonnull @Unmodifiable @NotLive public List<String> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,List<String>>`